FUNCTION TEMPL(3)

NAME
boost::algorithm::erase_head - Erase head algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/erase.hpp>
template<typename SequenceT> void erase_head(SequenceT & Input, int N);

DESCRIPTION

Remove the head from the input. The head is a prefix of a sequence of given size. If the sequence is shorter then required, the whole string is considered to be the head. The input sequence is modified in-place.

Parameters:

    Input
        An input string

    N
        Length of the head For N>=0, at most N characters are extracted. For N<0, size(Input)-|N| characters are extracted.